Bug 384075 - korganizer crashes when selecting a calendar to be shown in agenda/day/week/month view (regression 17.08.*)
Summary: korganizer crashes when selecting a calendar to be shown in agenda/day/week/m...
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: todoview (show other bugs)
Version: 5.7.2
Platform: Neon Linux
: NOR crash with 40 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 387923 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-08-27 13:52 UTC by Achim Bohnet
Modified: 2018-07-22 13:58 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.7.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Achim Bohnet 2017-08-27 13:52:06 UTC
Application: korganizer (5.6.0)

Qt Version: 5.9.1
Frameworks Version: 5.37.0
Operating System: Linux 4.10.0-32-generic x86_64
Distribution: KDE neon User Edition 5.10

-- Information about the crash:
- What I was doing when the application crashed:

Start korganizer on cmd line or in krunner.  korganizer window
shows for a fraction of a second and drkonqi tells me korganizer
crashed.

This happens on my  two neon-user laptops.

- Specials thing happened shortly before

* upgraded to plasma 5.10.5 before I noticed korganizer crashes

-- Backtrace:
Application: KOrganizer (korganizer), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f3a5ff30980 (LWP 7923))]

Thread 4 (Thread 0x7f3a549af700 (LWP 7929)):
#0  0x00007f3a796dda94 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f3a79698db9 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f3a79699330 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f3a7969949c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f3a8390194b in QEventDispatcherGlib::processEvents (this=0x7f3a4c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f3a838aa7ca in QEventLoop::exec (this=this@entry=0x7f3a549aec40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f3a836d3cd4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#7  0x00007f3a836d8989 in QThreadPrivate::start (arg=0x1007b60) at thread/qthread_unix.cpp:368
#8  0x00007f3a7b3c86ba in start_thread (arg=0x7f3a549af700) at pthread_create.c:333
#9  0x00007f3a82dcf3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f3a551b0700 (LWP 7926)):
#0  0x00007f3a79696434 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f3a796988bb in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f3a796992bb in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f3a7969949c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f3a8390194b in QEventDispatcherGlib::processEvents (this=0x7f3a480008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f3a838aa7ca in QEventLoop::exec (this=this@entry=0x7f3a551afc40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f3a836d3cd4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#7  0x00007f3a836d8989 in QThreadPrivate::start (arg=0xf67bd0) at thread/qthread_unix.cpp:368
#8  0x00007f3a7b3c86ba in start_thread (arg=0x7f3a551b0700) at pthread_create.c:333
#9  0x00007f3a82dcf3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f3a563c1700 (LWP 7925)):
#0  0x00007f3a82dc370d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f3a7969938c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f3a7969949c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f3a8390194b in QEventDispatcherGlib::processEvents (this=0x7f3a500008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f3a838aa7ca in QEventLoop::exec (this=this@entry=0x7f3a563c0c10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f3a836d3cd4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007f3a86f99b75 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#7  0x00007f3a836d8989 in QThreadPrivate::start (arg=0x7f3a8700fda0) at thread/qthread_unix.cpp:368
#8  0x00007f3a7b3c86ba in start_thread (arg=0x7f3a563c1700) at pthread_create.c:333
#9  0x00007f3a82dcf3dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f3a5ff30980 (LWP 7923)):
[KCrash Handler]
#6  greaterThan (node1=..., node2=...) at /workspace/build/src/todo/incidencetreemodel.cpp:48
#7  0x00007f3a81afbbb8 in __gnu_cxx::__ops::_Val_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)>::operator()<QSharedPointer<PreNode>, QList<QSharedPointer<PreNode> >::iterator> (__it=..., __val=..., this=<synthetic pointer>) at /usr/include/c++/5/bits/predefined_ops.h:169
#8  std::__unguarded_linear_insert<QList<QSharedPointer<PreNode> >::iterator, __gnu_cxx::__ops::_Val_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> > (__last=..., __comp=__comp@entry=...) at /usr/include/c++/5/bits/stl_algo.h:1823
#9  0x00007f3a81af807a in std::__unguarded_insertion_sort<QList<QSharedPointer<PreNode> >::iterator, __gnu_cxx::__ops::_Iter_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> > (__comp=..., __last=..., __first=...) at /usr/include/c++/5/bits/stl_algo.h:1862
#10 std::__final_insertion_sort<QList<QSharedPointer<PreNode> >::iterator, __gnu_cxx::__ops::_Iter_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> > (__comp=..., __last=..., __first=...) at /usr/include/c++/5/bits/stl_algo.h:1881
#11 std::__sort<QList<QSharedPointer<PreNode> >::iterator, __gnu_cxx::__ops::_Iter_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> > (__comp=..., __last=..., __first=...) at /usr/include/c++/5/bits/stl_algo.h:1966
#12 std::sort<QList<QSharedPointer<PreNode> >::iterator, bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> (__comp=0x7f3a81af2d50 <greaterThan(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)>, __last=..., __first=...) at /usr/include/c++/5/bits/stl_algo.h:4729
#13 sortedPrenodes (nodes=...) at /workspace/build/src/todo/incidencetreemodel.cpp:84
#14 IncidenceTreeModel::Private::onRowsInserted (this=0x10d7e40, parent=..., begin=0, end=79) at /workspace/build/src/todo/incidencetreemodel.cpp:311
#15 0x00007f3a838d8c19 in QMetaObject::activate (sender=sender@entry=0x103cd50, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffc51c9c260) at kernel/qobject.cpp:3766
#16 0x00007f3a838d9527 in QMetaObject::activate (sender=sender@entry=0x103cd50, m=m@entry=0x7f3a83b62600 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffc51c9c260) at kernel/qobject.cpp:3628
#17 0x00007f3a8384bd3e in QAbstractItemModel::rowsInserted (this=this@entry=0x103cd50, _t1=..., _t2=0, _t3=79, _t4=...) at .moc/moc_qabstractitemmodel.cpp:603
#18 0x00007f3a83853dab in QAbstractItemModel::endInsertRows (this=this@entry=0x103cd50) at itemmodels/qabstractitemmodel.cpp:2709
#19 0x00007f3a8387462b in QSortFilterProxyModelPrivate::insert_source_items (this=this@entry=0x103ce00, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., emit_signal=emit_signal@entry=true, orient=Qt::Vertical) at itemmodels/qsortfilterproxymodel.cpp:722
#20 0x00007f3a83876d24 in QSortFilterProxyModelPrivate::source_items_inserted (orient=Qt::Vertical, end=<optimized out>, start=<optimized out>, source_parent=..., this=0x103ce00) at itemmodels/qsortfilterproxymodel.cpp:833
#21 QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x103ce00, source_parent=..., start=<optimized out>, end=<optimized out>) at itemmodels/qsortfilterproxymodel.cpp:1398
#22 0x00007f3a8387a729 in QSortFilterProxyModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qsortfilterproxymodel.cpp:211
#23 0x00007f3a838d8c19 in QMetaObject::activate (sender=sender@entry=0x103bad0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffc51c9c5f0) at kernel/qobject.cpp:3766
#24 0x00007f3a838d9527 in QMetaObject::activate (sender=sender@entry=0x103bad0, m=m@entry=0x7f3a83b62600 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffc51c9c5f0) at kernel/qobject.cpp:3628
#25 0x00007f3a8384bd3e in QAbstractItemModel::rowsInserted (this=this@entry=0x103bad0, _t1=..., _t2=0, _t3=79, _t4=...) at .moc/moc_qabstractitemmodel.cpp:603
#26 0x00007f3a83853dab in QAbstractItemModel::endInsertRows (this=this@entry=0x103bad0) at itemmodels/qabstractitemmodel.cpp:2709
#27 0x00007f3a8387462b in QSortFilterProxyModelPrivate::insert_source_items (this=this@entry=0x103c3c0, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., emit_signal=emit_signal@entry=true, orient=Qt::Vertical) at itemmodels/qsortfilterproxymodel.cpp:722
#28 0x00007f3a83876d24 in QSortFilterProxyModelPrivate::source_items_inserted (orient=Qt::Vertical, end=<optimized out>, start=<optimized out>, source_parent=..., this=0x103c3c0) at itemmodels/qsortfilterproxymodel.cpp:833
#29 QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x103c3c0, source_parent=..., start=<optimized out>, end=<optimized out>) at itemmodels/qsortfilterproxymodel.cpp:1398
#30 0x00007f3a8387a729 in QSortFilterProxyModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qsortfilterproxymodel.cpp:211
#31 0x00007f3a838d8c19 in QMetaObject::activate (sender=sender@entry=0x103b320, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffc51c9c980) at kernel/qobject.cpp:3766
#32 0x00007f3a838d9527 in QMetaObject::activate (sender=sender@entry=0x103b320, m=m@entry=0x7f3a83b62600 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffc51c9c980) at kernel/qobject.cpp:3628
#33 0x00007f3a8384bd3e in QAbstractItemModel::rowsInserted (this=this@entry=0x103b320, _t1=..., _t2=0, _t3=79, _t4=...) at .moc/moc_qabstractitemmodel.cpp:603
#34 0x00007f3a83853dab in QAbstractItemModel::endInsertRows (this=this@entry=0x103b320) at itemmodels/qabstractitemmodel.cpp:2709
#35 0x00007f3a8387462b in QSortFilterProxyModelPrivate::insert_source_items (this=this@entry=0x103b600, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., emit_signal=emit_signal@entry=true, orient=Qt::Vertical) at itemmodels/qsortfilterproxymodel.cpp:722
#36 0x00007f3a83876d24 in QSortFilterProxyModelPrivate::source_items_inserted (orient=Qt::Vertical, end=<optimized out>, start=<optimized out>, source_parent=..., this=0x103b600) at itemmodels/qsortfilterproxymodel.cpp:833
#37 QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x103b600, source_parent=..., start=<optimized out>, end=<optimized out>) at itemmodels/qsortfilterproxymodel.cpp:1398
#38 0x00007f3a8387a729 in QSortFilterProxyModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qsortfilterproxymodel.cpp:211
#39 0x00007f3a838d8c19 in QMetaObject::activate (sender=sender@entry=0x103b140, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffc51c9cd10) at kernel/qobject.cpp:3766
#40 0x00007f3a838d9527 in QMetaObject::activate (sender=sender@entry=0x103b140, m=m@entry=0x7f3a83b62600 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffc51c9cd10) at kernel/qobject.cpp:3628
#41 0x00007f3a8384bd3e in QAbstractItemModel::rowsInserted (this=this@entry=0x103b140, _t1=..., _t2=0, _t3=79, _t4=...) at .moc/moc_qabstractitemmodel.cpp:603
#42 0x00007f3a83853dab in QAbstractItemModel::endInsertRows (this=this@entry=0x103b140) at itemmodels/qabstractitemmodel.cpp:2709
#43 0x00007f3a7f9206dc in KSelectionProxyModelPrivate::sourceRowsInserted (this=0x103b250, parent=..., start=<optimized out>, end=<optimized out>) at /workspace/build/src/kselectionproxymodel.cpp:1085
#44 0x00007f3a838d8c19 in QMetaObject::activate (sender=sender@entry=0x102bf10, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffc51c9cf10) at kernel/qobject.cpp:3766
#45 0x00007f3a838d9527 in QMetaObject::activate (sender=sender@entry=0x102bf10, m=m@entry=0x7f3a83b62600 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffc51c9cf10) at kernel/qobject.cpp:3628
#46 0x00007f3a8384bd3e in QAbstractItemModel::rowsInserted (this=this@entry=0x102bf10, _t1=..., _t2=0, _t3=79, _t4=...) at .moc/moc_qabstractitemmodel.cpp:603
#47 0x00007f3a83853dab in QAbstractItemModel::endInsertRows (this=this@entry=0x102bf10) at itemmodels/qabstractitemmodel.cpp:2709
#48 0x00007f3a7fcc28e4 in Akonadi::EntityTreeModelPrivate::itemsFetched (this=this@entry=0x1013fc0, collectionId=collectionId@entry=105, items=...) at /workspace/build/src/core/models/entitytreemodel_p.cpp:571
#49 0x00007f3a7fcc2ce1 in Akonadi::EntityTreeModelPrivate::itemsFetched (this=0x1013fc0, items=...) at /workspace/build/src/core/models/entitytreemodel_p.cpp:488
#50 0x00007f3a7fcb05a5 in Akonadi::EntityTreeModel::qt_static_metacall (_o=0x102bf10, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /workspace/build/obj-x86_64-linux-gnu/src/core/moc_entitytreemodel.cpp:219
#51 0x00007f3a838d8c19 in QMetaObject::activate (sender=sender@entry=0x147a230, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffc51c9d2a0) at kernel/qobject.cpp:3766
#52 0x00007f3a838d9527 in QMetaObject::activate (sender=sender@entry=0x147a230, m=m@entry=0x7f3a7ff57f80 <Akonadi::ItemFetchJob::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffc51c9d2a0) at kernel/qobject.cpp:3628
#53 0x00007f3a7fc6b8f2 in Akonadi::ItemFetchJob::itemsReceived (this=this@entry=0x147a230, _t1=...) at /workspace/build/obj-x86_64-linux-gnu/src/core/moc_itemfetchjob.cpp:166
#54 0x00007f3a7fc6de5b in Akonadi::ItemFetchJobPrivate::timeout (this=<optimized out>) at /workspace/build/src/core/jobs/itemfetchjob.cpp:75
#55 Akonadi::ItemFetchJobPrivate::aboutToFinish (this=<optimized out>) at /workspace/build/src/core/jobs/itemfetchjob.cpp:65
#56 0x00007f3a7fc76325 in Akonadi::JobPrivate::delayedEmitResult (this=0x14808f0) at /workspace/build/src/core/jobs/job.cpp:172
#57 0x00007f3a7fc77359 in Akonadi::Job::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /workspace/build/obj-x86_64-linux-gnu/src/core/moc_job.cpp:110
#58 0x00007f3a838d9c59 in QObject::event (this=0x147a230, e=<optimized out>) at kernel/qobject.cpp:1246
#59 0x00007f3a849523fc in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x147a230, e=0x16fe3d0) at kernel/qapplication.cpp:3717
#60 0x00007f3a84959e07 in QApplication::notify (this=0x7ffc51c9d990, receiver=0x147a230, e=0x16fe3d0) at kernel/qapplication.cpp:3476
#61 0x00007f3a838ac798 in QCoreApplication::notifyInternal2 (receiver=0x147a230, event=event@entry=0x16fe3d0) at kernel/qcoreapplication.cpp:1018
#62 0x00007f3a838aef7b in QCoreApplication::sendEvent (event=0x16fe3d0, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:233
#63 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0xc44580) at kernel/qcoreapplication.cpp:1678
#64 0x00007f3a838af3e8 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1532
#65 0x00007f3a83902323 in postEventSourceDispatch (s=0xc7b1c0) at kernel/qeventdispatcher_glib.cpp:276
#66 0x00007f3a79699197 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#67 0x00007f3a796993f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#68 0x00007f3a7969949c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#69 0x00007f3a8390192f in QEventDispatcherGlib::processEvents (this=0xc88240, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#70 0x00007f3a838aa7ca in QEventLoop::exec (this=this@entry=0x7ffc51c9d870, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#71 0x00007f3a838b3704 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1291
#72 0x00000000004086a4 in main (argc=1, argv=0x7ffc51c9db18) at /workspace/build/src/main.cpp:64

Reported using DrKonqi
Comment 1 Achim Bohnet 2017-08-27 13:54:04 UTC
FWIW: kmail and kaddressbook work without problems
Comment 2 Achim Bohnet 2017-08-30 16:17:36 UTC
I've found out, that korganizer crashes, when I select the calendar 'work' (aka arbeiten in german) so that the events are displayed . ('work' is one of 3 calendars and 2 addressbooks in a owncloud dav resource.)  There no output on the konsole between selecting the calendar 'work' and the crash.  

With a fresh user of in KDE neon dev stable installation, I've started korganizer and added the owncloud resource.   So here is the output of korganizer when I configured the owncloud dav resource.  Maybe this helps:


achim@neon-dev-stable:~$ korganizer
org.kde.pim.akonadicore: "QLocalSocket::connectToServer: Invalid name" "/home/achim/.local/share/akonadi/akonadiserver-cmd.socket"
org.kde.pim.akonadicore: "QLocalSocket::connectToServer: Invalid name" "/home/achim/.local/share/akonadi/akonadiserver-cmd.socket"
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
KServiceTypeTrader: serviceType "KOrganizer/Part" not found
org.kde.pim.akonadicore: Socket error occurred: "QLocalSocket::connectToServer: Invalid name"
org.kde.akonadi.ETM: GEN true false true
org.kde.akonadi.ETM: collection: QVector()
org.kde.pim.akonadicore: Socket error occurred: "QLocalSocket::connectToServer: Invalid name"
/usr/bin/mysqlcheck: Got error: 1049: Unknown database 'akonadi' when selecting the database
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
org.kde.akonadi.ETM: GEN true false true
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: Fetch job took  15 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 0
org.kde.pim.akonadiplugin_indexer: unknown term  ""
org.kde.pim.akonadi_search_xapian: Xapian Database does not exist at  "/home/achim/.local/share/akonadi/search_db/calendars/"
org.kde.pim.akonadi_search_xapian: Xapian Database does not exist at  "/home/achim/.local/share/akonadi/search_db/contacts/"
org.kde.pim.akonadi_search_xapian: Xapian Database does not exist at  "/home/achim/.local/share/akonadi/search_db/email/"
org.kde.pim.akonadi_search_xapian: Xapian Database does not exist at  "/home/achim/.local/share/akonadi/search_db/notes/"
org.kde.akonadi.ETM: collection: "OpenInvitations"
org.kde.pim.akonadiplugin_indexer: unknown term  ""
org.kde.akonadi.ETM: collection: "DeclinedInvitations"
org.kde.akonadi.ETM: Fetch job took  0 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 1
org.kde.akonadi.ETM: first fetched collection: "Search"
org.kde.pim.akonadiplugin_indexer: unknown term  ""
org.kde.akonadi.ETM: Fetch job took  52 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  44 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.pim.akonadiplugin_indexer: unknown term  ""
org.kde.pim.kidentitymanagement: IdentityManager: There was no default identity. Marking first one as default.
org.kde.pim.kidentitymanagement: IdentityManager: There was no default identity. Marking first one as default.
org.kde.pim.kidentitymanagement: IdentityManager: There was no default identity. Marking first one as default.
org.kde.pim.maildirresource: the resource is not properly configured: there is no config file for the resource. We create a new one.
org.kde.akonadi.ETM: GEN true false false
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: 
org.kde.akonadi.ETM: Fetch job took  18 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 0
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: Fetch job took  19 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 1
org.kde.akonadi.ETM: first fetched collection: "Search"
org.kde.akonadi.ETM: Fetch job took  2 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 0
org.kde.akonadi.ETM: collection: "Birthdays & Anniversaries"
org.kde.akonadi.ETM: Fetch job took  6 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: GEN true false false
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: 
org.kde.akonadi.ETM: Subtree:  6 QSet(8, 7, 6)
org.kde.akonadi.ETM: Fetch job took  12 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 3
org.kde.akonadi.ETM: first fetched collection: "Local Folders"
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: Fetch job took  13 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 3
org.kde.akonadi.ETM: first fetched collection: "Search"
org.kde.akonadi.ETM: Fetch job took  0 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 0
"No file selected."
org.kde.akonadi.ETM: collection: "akonadi_ical_resource_0"
org.kde.akonadi.ETM: Fetch job took  11 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
QObject::killTimer: Timers cannot be stopped from another thread
Error loading plugin: "The shared library was not found."
Error loading plugin: "The shared library was not found."
"syntax error, unexpected MONTH"
"syntax error, unexpected MONTH"
Error loading plugin: "The shared library was not found."
Error loading plugin: "The shared library was not found."
Error loading plugin: "The shared library was not found."
Error loading plugin: "The shared library was not found."
Error loading plugin: "The shared library was not found."
KServiceTypeTrader: serviceType "KOrganizer/Part" not found
Error loading plugin: "The shared library was not found."
org.kde.akonadi.ETM: GEN true false true
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: Subtree:  10 QSet(10)
org.kde.akonadi.ETM: Subtree:  4 QSet(4)
org.kde.akonadi.ETM: Subtree:  1 QSet(1, 2, 3)
org.kde.akonadi.ETM: Fetch job took  55 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 5
org.kde.akonadi.ETM: first fetched collection: "Search"
org.kde.akonadi.ETM: collection: "https://owncloud-test.mpe.mpg.de/~test/6.0/remote.php/caldav/calendars/allee/arbeiten/"
org.kde.akonadi.ETM: Fetch job took  0 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 1
org.kde.akonadi.ETM: first fetched collection: "akonadi_davgroupware_resource_0"
org.kde.akonadi.ETM: Fetch job took  11 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: collection: "https://owncloud-test.mpe.mpg.de/~test/6.0/remote.php/caldav/calendars/allee/dv-termine_shared_by_ocAdmin/"
org.kde.akonadi.ETM: collection: "https://owncloud-test.mpe.mpg.de/~test/6.0/remote.php/caldav/calendars/allee/dv-abwesend_shared_by_ocAdmin/"
org.kde.akonadi.ETM: collection: "https://owncloud-test.mpe.mpg.de/~test/6.0/remote.php/caldav/calendars/allee/contact_birthdays/"
org.kde.akonadi.ETM: Fetch job took  45 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  39 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.akonadi.ETM: Fetch job took  40 msec
org.kde.akonadi.ETM: was item fetch job: items: 0
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.akonadicore: Deleting items from the akonadi database failed: "No items found"
org.kde.pim.kidentitymanagement: IdentityManager: There was no default identity. Marking first one as default.
org.kde.pim.kidentitymanagement: IdentityManager: There was no default identity. Marking first one as default.
org.kde.pim.calendarview: Agenda::removeIncidence() Failed to remove  "8715ed6a-ac1a-4735-aba2-42eef3cc5d1a"
org.kde.pim.calendarview: Agenda::removeIncidence() Failed to remove  "8715ed6a-ac1a-4735-aba2-42eef3cc5d1a"
org.kde.pim.calendarview: Agenda::removeIncidence() Failed to remove  "8715ed6a-ac1a-4735-aba2-42eef3cc5d1a"
org.kde.pim.calendarview: Agenda::removeIncidence() Failed to remove  "8715ed6a-ac1a-4735-aba2-42eef3cc5d1a"
org.kde.pim.calendarview: Agenda::removeIncidence() Failed to remove  "8715ed6a-ac1a-4735-aba2-42eef3cc5d1a"
org.kde.pim.calendarview: Agenda::removeIncidence() Failed to remove  "8715ed6a-ac1a-4735-aba2-42eef3cc5d1a"
org.kde.pim.calendarview: Agenda::removeIncidence() Failed to remove  "4093dbc0-e4d7-4f60-8147-7bbcb2a2e929"
org.kde.pim.calendarview: Agenda::removeIncidence() Failed to remove  "4093dbc0-e4d7-4f60-8147-7bbcb2a2e929"
org.kde.pim.akonadiplugin_indexer: unknown term  ""
org.kde.pim.akonadiplugin_indexer: unknown term  ""
Comment 3 Achim Bohnet 2017-08-31 08:44:27 UTC
Here is a much better stacktrace, because I've managed to install debsym pkgs.

Application: korganizer (5.6.0)

Qt Version: 5.9.1
Frameworks Version: 5.37.0
Operating System: Linux 4.10.0-32-generic x86_64
Distribution: KDE neon User Edition 5.10

-- Information about the crash:
- What I was doing when the application crashed:
 In the agenda view, selected the calender 'arbeiten' so that the events would be shown -> crashes immediately
[always reproduceable on 4 system (kde neon user + dev stable)]

-- Backtrace:
Application: KOrganizer (korganizer), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f4906b71980 (LWP 16388))]

Thread 4 (Thread 0x7f48f6dee700 (LWP 16393)):
#0  0x00007f4929a0470d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f49202da38c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f49202da49c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f492a54294b in QEventDispatcherGlib::processEvents (this=0x7f48e80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f492a4eb7ca in QEventLoop::exec (this=this@entry=0x7f48f6dedc40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f492a314cd4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007f492a319989 in QThreadPrivate::start (arg=0x13a1f50) at thread/qthread_unix.cpp:368
#7  0x00007f49220096ba in start_thread (arg=0x7f48f6dee700) at pthread_create.c:333
#8  0x00007f4929a103dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f48f75ef700 (LWP 16391)):
#0  0x00007f4929a0470d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f49202da38c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f49202da49c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f492a54294b in QEventDispatcherGlib::processEvents (this=0x7f48f00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f492a4eb7ca in QEventLoop::exec (this=this@entry=0x7f48f75eec40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f492a314cd4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007f492a319989 in QThreadPrivate::start (arg=0x1031900) at thread/qthread_unix.cpp:368
#7  0x00007f49220096ba in start_thread (arg=0x7f48f75ef700) at pthread_create.c:333
#8  0x00007f4929a103dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f48fcfc3700 (LWP 16390)):
#0  0x00007f4929a0470d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f49202da38c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f49202da49c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f492a54294b in QEventDispatcherGlib::processEvents (this=0x7f48f80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f492a4eb7ca in QEventLoop::exec (this=this@entry=0x7f48fcfc2c10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f492a314cd4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007f492dbdab75 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#7  0x00007f492a319989 in QThreadPrivate::start (arg=0x7f492dc50da0) at thread/qthread_unix.cpp:368
#8  0x00007f49220096ba in start_thread (arg=0x7f48fcfc3700) at pthread_create.c:333
#9  0x00007f4929a103dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f4906b71980 (LWP 16388)):
[KCrash Handler]
#6  greaterThan (node1=..., node2=...) at /workspace/build/src/todo/incidencetreemodel.cpp:48
#7  0x00007f492873cbb8 in __gnu_cxx::__ops::_Val_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)>::operator()<QSharedPointer<PreNode>, QList<QSharedPointer<PreNode> >::iterator> (__it=..., __val=..., this=<synthetic pointer>) at /usr/include/c++/5/bits/predefined_ops.h:169
#8  std::__unguarded_linear_insert<QList<QSharedPointer<PreNode> >::iterator, __gnu_cxx::__ops::_Val_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> > (__last=..., __comp=__comp@entry=...) at /usr/include/c++/5/bits/stl_algo.h:1823
#9  0x00007f492873907a in std::__unguarded_insertion_sort<QList<QSharedPointer<PreNode> >::iterator, __gnu_cxx::__ops::_Iter_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> > (__comp=..., __last=..., __first=...) at /usr/include/c++/5/bits/stl_algo.h:1862
#10 std::__final_insertion_sort<QList<QSharedPointer<PreNode> >::iterator, __gnu_cxx::__ops::_Iter_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> > (__comp=..., __last=..., __first=...) at /usr/include/c++/5/bits/stl_algo.h:1881
#11 std::__sort<QList<QSharedPointer<PreNode> >::iterator, __gnu_cxx::__ops::_Iter_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> > (__comp=..., __last=..., __first=...) at /usr/include/c++/5/bits/stl_algo.h:1966
#12 std::sort<QList<QSharedPointer<PreNode> >::iterator, bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> (__comp=0x7f4928733d50 <greaterThan(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)>, __last=..., __first=...) at /usr/include/c++/5/bits/stl_algo.h:4729
#13 sortedPrenodes (nodes=...) at /workspace/build/src/todo/incidencetreemodel.cpp:84
#14 IncidenceTreeModel::Private::onRowsInserted (this=0x14c3ef0, parent=..., begin=254, end=404) at /workspace/build/src/todo/incidencetreemodel.cpp:311
#15 0x00007f492a519c19 in QMetaObject::activate (sender=sender@entry=0x13f7c30, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7fffd2e337e0) at kernel/qobject.cpp:3766
#16 0x00007f492a51a527 in QMetaObject::activate (sender=sender@entry=0x13f7c30, m=m@entry=0x7f492a7a3600 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7fffd2e337e0) at kernel/qobject.cpp:3628
#17 0x00007f492a48cd3e in QAbstractItemModel::rowsInserted (this=this@entry=0x13f7c30, _t1=..., _t2=254, _t3=404, _t4=...) at .moc/moc_qabstractitemmodel.cpp:603
#18 0x00007f492a494dab in QAbstractItemModel::endInsertRows (this=this@entry=0x13f7c30) at itemmodels/qabstractitemmodel.cpp:2709
#19 0x00007f492a4b562b in QSortFilterProxyModelPrivate::insert_source_items (this=this@entry=0x13f7ce0, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., emit_signal=emit_signal@entry=true, orient=Qt::Vertical) at itemmodels/qsortfilterproxymodel.cpp:722
#20 0x00007f492a4b7d24 in QSortFilterProxyModelPrivate::source_items_inserted (orient=Qt::Vertical, end=<optimized out>, start=<optimized out>, source_parent=..., this=0x13f7ce0) at itemmodels/qsortfilterproxymodel.cpp:833
#21 QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x13f7ce0, source_parent=..., start=<optimized out>, end=<optimized out>) at itemmodels/qsortfilterproxymodel.cpp:1398
#22 0x00007f492a4bb729 in QSortFilterProxyModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qsortfilterproxymodel.cpp:211
#23 0x00007f492a519c19 in QMetaObject::activate (sender=sender@entry=0x13f6da0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7fffd2e33b70) at kernel/qobject.cpp:3766
#24 0x00007f492a51a527 in QMetaObject::activate (sender=sender@entry=0x13f6da0, m=m@entry=0x7f492a7a3600 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7fffd2e33b70) at kernel/qobject.cpp:3628
#25 0x00007f492a48cd3e in QAbstractItemModel::rowsInserted (this=this@entry=0x13f6da0, _t1=..., _t2=254, _t3=404, _t4=...) at .moc/moc_qabstractitemmodel.cpp:603
#26 0x00007f492a494dab in QAbstractItemModel::endInsertRows (this=this@entry=0x13f6da0) at itemmodels/qabstractitemmodel.cpp:2709
#27 0x00007f492a4b562b in QSortFilterProxyModelPrivate::insert_source_items (this=this@entry=0x13f6de0, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., emit_signal=emit_signal@entry=true, orient=Qt::Vertical) at itemmodels/qsortfilterproxymodel.cpp:722
#28 0x00007f492a4b7d24 in QSortFilterProxyModelPrivate::source_items_inserted (orient=Qt::Vertical, end=<optimized out>, start=<optimized out>, source_parent=..., this=0x13f6de0) at itemmodels/qsortfilterproxymodel.cpp:833
#29 QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x13f6de0, source_parent=..., start=<optimized out>, end=<optimized out>) at itemmodels/qsortfilterproxymodel.cpp:1398
#30 0x00007f492a4bb729 in QSortFilterProxyModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qsortfilterproxymodel.cpp:211
#31 0x00007f492a519c19 in QMetaObject::activate (sender=sender@entry=0x13f6350, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7fffd2e33f00) at kernel/qobject.cpp:3766
#32 0x00007f492a51a527 in QMetaObject::activate (sender=sender@entry=0x13f6350, m=m@entry=0x7f492a7a3600 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7fffd2e33f00) at kernel/qobject.cpp:3628
#33 0x00007f492a48cd3e in QAbstractItemModel::rowsInserted (this=this@entry=0x13f6350, _t1=..., _t2=254, _t3=404, _t4=...) at .moc/moc_qabstractitemmodel.cpp:603
#34 0x00007f492a494dab in QAbstractItemModel::endInsertRows (this=this@entry=0x13f6350) at itemmodels/qabstractitemmodel.cpp:2709
#35 0x00007f492a4b562b in QSortFilterProxyModelPrivate::insert_source_items (this=this@entry=0x13f6630, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., emit_signal=emit_signal@entry=true, orient=Qt::Vertical) at itemmodels/qsortfilterproxymodel.cpp:722
#36 0x00007f492a4b7d24 in QSortFilterProxyModelPrivate::source_items_inserted (orient=Qt::Vertical, end=<optimized out>, start=<optimized out>, source_parent=..., this=0x13f6630) at itemmodels/qsortfilterproxymodel.cpp:833
#37 QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x13f6630, source_parent=..., start=<optimized out>, end=<optimized out>) at itemmodels/qsortfilterproxymodel.cpp:1398
#38 0x00007f492a4bb729 in QSortFilterProxyModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qsortfilterproxymodel.cpp:211
#39 0x00007f492a519c19 in QMetaObject::activate (sender=sender@entry=0x13f2320, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7fffd2e34290) at kernel/qobject.cpp:3766
#40 0x00007f492a51a527 in QMetaObject::activate (sender=sender@entry=0x13f2320, m=m@entry=0x7f492a7a3600 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7fffd2e34290) at kernel/qobject.cpp:3628
#41 0x00007f492a48cd3e in QAbstractItemModel::rowsInserted (this=this@entry=0x13f2320, _t1=..., _t2=254, _t3=404, _t4=...) at .moc/moc_qabstractitemmodel.cpp:603
#42 0x00007f492a494dab in QAbstractItemModel::endInsertRows (this=this@entry=0x13f2320) at itemmodels/qabstractitemmodel.cpp:2709
#43 0x00007f492656019e in KSelectionProxyModelPrivate::insertSelectionIntoProxy (this=this@entry=0x13f6280, selection=...) at /workspace/build/src/kselectionproxymodel.cpp:2002
#44 0x00007f49265610a2 in KSelectionProxyModelPrivate::selectionChanged (this=0x13f6280, _selected=..., _deselected=...) at /workspace/build/src/kselectionproxymodel.cpp:1909
#45 0x00007f492a519c19 in QMetaObject::activate (sender=sender@entry=0x13f5030, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffd2e347b0) at kernel/qobject.cpp:3766
#46 0x00007f492a51a527 in QMetaObject::activate (sender=sender@entry=0x13f5030, m=m@entry=0x7f492a7a3940 <QItemSelectionModel::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffd2e347b0) at kernel/qobject.cpp:3628
#47 0x00007f492a49d307 in QItemSelectionModel::selectionChanged (this=this@entry=0x13f5030, _t1=..., _t2=...) at .moc/moc_qitemselectionmodel.cpp:480
#48 0x00007f492a4a1f4c in QItemSelectionModel::emitSelectionChanged (this=this@entry=0x13f5030, newSelection=..., oldSelection=...) at itemmodels/qitemselectionmodel.cpp:1904
#49 0x00007f492a4a4e66 in QItemSelectionModel::select (this=0x13f5030, selection=..., command=...) at itemmodels/qitemselectionmodel.cpp:1338
#50 0x00007f4926544cc2 in KCheckableProxyModel::select (this=this@entry=0x13f5090, selection=..., command=..., command@entry=...) at /workspace/build/src/kcheckableproxymodel.cpp:132
#51 0x00007f492654530f in KCheckableProxyModel::setData (this=0x13f5090, index=..., value=..., role=<optimized out>) at /workspace/build/src/kcheckableproxymodel.cpp:105
#52 0x00007f492a4b1247 in QSortFilterProxyModel::setData (this=this@entry=0x15baa80, index=..., value=..., role=role@entry=10) at itemmodels/qsortfilterproxymodel.cpp:1935
#53 0x00007f492d576375 in ReparentingModel::setData (this=0x15bb080, index=..., value=..., role=10) at /workspace/build/src/views/collectionview/reparentingmodel.cpp:777
#54 0x00007f492a4b1247 in QSortFilterProxyModel::setData (this=<optimized out>, index=..., value=..., role=10) at itemmodels/qsortfilterproxymodel.cpp:1935
#55 0x00007f492a4b1247 in QSortFilterProxyModel::setData (this=this@entry=0x15baae0, index=..., value=..., role=role@entry=10) at itemmodels/qsortfilterproxymodel.cpp:1935
#56 0x00007f492d56ab9e in (anonymous namespace)::CalendarDelegateModel::setData (this=0x15baae0, index=..., value=..., role=10) at /workspace/build/src/akonadicollectionview.cpp:476
#57 0x00007f492a4b1247 in QSortFilterProxyModel::setData (this=<optimized out>, index=..., value=..., role=10) at itemmodels/qsortfilterproxymodel.cpp:1935
#58 0x00007f492a4b1247 in QSortFilterProxyModel::setData (this=this@entry=0x15bcd40, index=..., value=..., role=role@entry=10) at itemmodels/qsortfilterproxymodel.cpp:1935
#59 0x00007f492b85bd31 in QStyledItemDelegate::editorEvent (this=this@entry=0x15cd060, event=event@entry=0x7fffd2e35920, model=model@entry=0x15bcd40, option=..., index=...) at itemviews/qstyleditemdelegate.cpp:638
#60 0x00007f492d584252 in StyledCalendarDelegate::editorEvent (this=0x15cd060, event=0x7fffd2e35920, model=0x15bcd40, option=..., index=...) at /workspace/build/src/views/collectionview/calendardelegate.cpp:248
#61 0x00007f492b7ddbc3 in QAbstractItemViewPrivate::sendDelegateEvent (this=this@entry=0x15c0de0, index=..., event=event@entry=0x7fffd2e35920) at itemviews/qabstractitemview.cpp:4381
#62 0x00007f492b7e32eb in QAbstractItemView::edit (this=this@entry=0x15bca20, index=..., trigger=trigger@entry=QAbstractItemView::NoEditTriggers, event=event@entry=0x7fffd2e35920) at itemviews/qabstractitemview.cpp:2660
#63 0x00007f492b7ddd6b in QAbstractItemView::mouseReleaseEvent (this=this@entry=0x15bca20, event=event@entry=0x7fffd2e35920) at itemviews/qabstractitemview.cpp:1913
#64 0x00007f492b8260cb in QTreeView::mouseReleaseEvent (this=0x15bca20, event=0x7fffd2e35920) at itemviews/qtreeview.cpp:1902
#65 0x00007f492b5d46d8 in QWidget::event (this=this@entry=0x15bca20, event=event@entry=0x7fffd2e35920) at kernel/qwidget.cpp:9178
#66 0x00007f492b6b78fe in QFrame::event (this=0x15bca20, e=0x7fffd2e35920) at widgets/qframe.cpp:550
#67 0x00007f492b7e7833 in QAbstractItemView::viewportEvent (this=this@entry=0x15bca20, event=event@entry=0x7fffd2e35920) at itemviews/qabstractitemview.cpp:1748
#68 0x00007f492b8258bc in QTreeView::viewportEvent (this=0x15bca20, event=0x7fffd2e35920) at itemviews/qtreeview.cpp:1313
#69 0x00007f492a4ed502 in QCoreApplicationPrivate::sendThroughObjectEventFilters (receiver=receiver@entry=0x15beea0, event=event@entry=0x7fffd2e35920) at kernel/qcoreapplication.cpp:1129
#70 0x00007f492b5933d5 in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x15beea0, e=0x7fffd2e35920) at kernel/qapplication.cpp:3713
#71 0x00007f492b59ba2b in QApplication::notify (this=<optimized out>, receiver=0x15beea0, e=0x7fffd2e35920) at kernel/qapplication.cpp:3193
#72 0x00007f492a4ed798 in QCoreApplication::notifyInternal2 (receiver=receiver@entry=0x15beea0, event=event@entry=0x7fffd2e35920) at kernel/qcoreapplication.cpp:1018
#73 0x00007f492b59a3cf in QCoreApplication::sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:233
#74 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x15beea0, event=event@entry=0x7fffd2e35920, alienWidget=alienWidget@entry=0x15beea0, nativeWidget=0x1327250, buttonDown=buttonDown@entry=0x7f492ba95c70 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:2699
#75 0x00007f492b5ee446 in QWidgetWindow::handleMouseEvent (this=this@entry=0x1742890, event=event@entry=0x7fffd2e35d20) at kernel/qwidgetwindow.cpp:622
#76 0x00007f492b5f0ea3 in QWidgetWindow::event (this=0x1742890, event=0x7fffd2e35d20) at kernel/qwidgetwindow.cpp:243
#77 0x00007f492b5933fc in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x1742890, e=0x7fffd2e35d20) at kernel/qapplication.cpp:3717
#78 0x00007f492b59ae07 in QApplication::notify (this=0x7fffd2e361f0, receiver=0x1742890, e=0x7fffd2e35d20) at kernel/qapplication.cpp:3476
#79 0x00007f492a4ed798 in QCoreApplication::notifyInternal2 (receiver=receiver@entry=0x1742890, event=event@entry=0x7fffd2e35d20) at kernel/qcoreapplication.cpp:1018
#80 0x00007f492a8de940 in QCoreApplication::sendSpontaneousEvent (event=0x7fffd2e35d20, receiver=0x1742890) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#81 QGuiApplicationPrivate::processMouseEvent (e=0x1858010) at kernel/qguiapplication.cpp:1949
#82 0x00007f492a8e08a5 in QGuiApplicationPrivate::processWindowSystemEvent (e=e@entry=0x1858010) at kernel/qguiapplication.cpp:1733
#83 0x00007f492a8baceb in QWindowSystemInterface::sendWindowSystemEvents (flags=...) at kernel/qwindowsysteminterface.cpp:939
#84 0x00007f4906642e00 in userEventSourceDispatch (source=<optimized out>) at qeventdispatcher_glib.cpp:77
#85 0x00007f49202da197 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#86 0x00007f49202da3f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#87 0x00007f49202da49c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#88 0x00007f492a54292f in QEventDispatcherGlib::processEvents (this=0x10438d0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#89 0x00007f492a4eb7ca in QEventLoop::exec (this=this@entry=0x7fffd2e360d0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#90 0x00007f492a4f4704 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1291
#91 0x00007f492a8d62ec in QGuiApplication::exec () at kernel/qguiapplication.cpp:1679
#92 0x00007f492b593355 in QApplication::exec () at kernel/qapplication.cpp:2905
#93 0x00000000004086a4 in main (argc=1, argv=0x7fffd2e36378) at /workspace/build/src/main.cpp:64

Possible duplicates by query: bug 384075.

Report to https://bugs.kde.org/
Comment 4 Achim Bohnet 2017-09-11 12:05:23 UTC
korganizer 5.6.1 still crashing (bug introduced with 5.6.0)
Comment 5 Achim Bohnet 2017-09-13 08:25:39 UTC
Tried in 5.6.1 aka 17.04.1:  korganizer crashes when selecting a calendar not only in agandaview but also in all other views:
 * day
 * week
 * month

This calendar always worked before the 17.08 release without crashing korganizer.

Other onwcloud dav resources continue to work without problems.
Comment 6 Achim Bohnet 2017-09-17 09:19:14 UTC
I've exported the problemetic caldav Calendar folder with Thunderbird and imported it with korganizer 5.6.1 into a new Calendar.

=> Loading the ics calendar worked without problem and I could move in the aganda view forward and backfard in time.

Bug: after I exited korganizer and tried to start it again -> Crash.

WORDAROUND: I've removed the viewing of the imported calendar in korganizerrc GlobalCollationSelection and korganizer start again.

Bug: selecting the newly created imported-calendar -> Crash.
Comment 7 Achim Bohnet 2018-01-13 16:36:09 UTC
First: Thx for you KDE PIM work!

Workaround: I've move important events with help of thunderbird from the problematic calendar to a new one.

When I tried to display the problematic calendar with korganizer 5.7.0
it did not crash anymore.  Maybe it's somehow fixed in korgianizer or
moving events with thunderbird to another calendar fixed it.

Feel free to close the bug report if the stack trace is not enough to fix
the crash.
Comment 8 kde-bugs 2018-01-19 20:40:03 UTC
I'm still experiencing this crash using Korganizer 5.7.1 with the same scenario: Calendar in German language accessed via Caldav from an Owncloud instance.



Backtrace:

Application: KOrganizer (korganizer), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fdabbb8d940 (LWP 14469))]

Thread 4 (Thread 0x7fda925ed700 (LWP 14474)):
#0  0x00007fdab743974d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fdaad64438c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdaad64449c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdab7f766cb in QEventDispatcherGlib::processEvents (this=0x7fda880008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fdab7f1ee2a in QEventLoop::exec (this=this@entry=0x7fda925ecc80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007fdab7d478f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007fdab7d4c709 in QThreadPrivate::start (arg=0x244cb70) at thread/qthread_unix.cpp:368
#7  0x00007fdaaf3746ba in start_thread (arg=0x7fda925ed700) at pthread_create.c:333
#8  0x00007fdab744541d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7fda92dee700 (LWP 14472)):
#0  0x00007fdab743527d in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fdaad6876f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdaad643e74 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdaad644330 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdaad64449c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdab7f766cb in QEventDispatcherGlib::processEvents (this=0x7fda840008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fdab7f1ee2a in QEventLoop::exec (this=this@entry=0x7fda92dedc80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007fdab7d478f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#8  0x00007fdab7d4c709 in QThreadPrivate::start (arg=0x23d4a10) at thread/qthread_unix.cpp:368
#9  0x00007fdaaf3746ba in start_thread (arg=0x7fda92dee700) at pthread_create.c:333
#10 0x00007fdab744541d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7fda93fff700 (LWP 14471)):
#0  0x00007fdab743974d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fdaad64438c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdaad64449c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdab7f766cb in QEventDispatcherGlib::processEvents (this=0x7fda8c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fdab7f1ee2a in QEventLoop::exec (this=this@entry=0x7fda93ffec50, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007fdab7d478f4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007fdab6909315 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#7  0x00007fdab7d4c709 in QThreadPrivate::start (arg=0x7fdab6b7dd40) at thread/qthread_unix.cpp:368
#8  0x00007fdaaf3746ba in start_thread (arg=0x7fda93fff700) at pthread_create.c:333
#9  0x00007fdab744541d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7fdabbb8d940 (LWP 14469)):
[KCrash Handler]
#6  greaterThan (node1=..., node2=...) at /workspace/build/src/todo/incidencetreemodel.cpp:48
#7  0x00007fdab5a5ac28 in __gnu_cxx::__ops::_Val_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)>::operator()<QSharedPointer<PreNode>, QList<QSharedPointer<PreNode> >::iterator> (__it=..., __val=..., this=<synthetic pointer>) at /usr/include/c++/5/bits/predefined_ops.h:169
#8  std::__unguarded_linear_insert<QList<QSharedPointer<PreNode> >::iterator, __gnu_cxx::__ops::_Val_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> > (__last=..., __comp=__comp@entry=...) at /usr/include/c++/5/bits/stl_algo.h:1823
#9  0x00007fdab5a570da in std::__unguarded_insertion_sort<QList<QSharedPointer<PreNode> >::iterator, __gnu_cxx::__ops::_Iter_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> > (__comp=..., __last=..., __first=...) at /usr/include/c++/5/bits/stl_algo.h:1862
#10 std::__final_insertion_sort<QList<QSharedPointer<PreNode> >::iterator, __gnu_cxx::__ops::_Iter_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> > (__comp=..., __last=..., __first=...) at /usr/include/c++/5/bits/stl_algo.h:1881
#11 std::__sort<QList<QSharedPointer<PreNode> >::iterator, __gnu_cxx::__ops::_Iter_comp_iter<bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> > (__comp=..., __last=..., __first=...) at /usr/include/c++/5/bits/stl_algo.h:1966
#12 std::sort<QList<QSharedPointer<PreNode> >::iterator, bool (*)(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)> (__comp=0x7fdab5a51e20 <greaterThan(QSharedPointer<PreNode> const&, QSharedPointer<PreNode> const&)>, __last=..., __first=...) at /usr/include/c++/5/bits/stl_algo.h:4729
#13 sortedPrenodes (nodes=...) at /workspace/build/src/todo/incidencetreemodel.cpp:84
#14 IncidenceTreeModel::Private::onRowsInserted (this=0x25906a0, parent=..., begin=0, end=643) at /workspace/build/src/todo/incidencetreemodel.cpp:318
#15 0x00007fdab7f4d279 in QMetaObject::activate (sender=sender@entry=0x2469b00, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffe20ad5050) at kernel/qobject.cpp:3766
#16 0x00007fdab7f4db87 in QMetaObject::activate (sender=sender@entry=0x2469b00, m=m@entry=0x7fdab83d66a0 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffe20ad5050) at kernel/qobject.cpp:3628
#17 0x00007fdab7ec03be in QAbstractItemModel::rowsInserted (this=this@entry=0x2469b00, _t1=..., _t2=0, _t3=643, _t4=...) at .moc/moc_qabstractitemmodel.cpp:602
#18 0x00007fdab7ec841b in QAbstractItemModel::endInsertRows (this=this@entry=0x2469b00) at itemmodels/qabstractitemmodel.cpp:2709
#19 0x00007fdab7ee8c9b in QSortFilterProxyModelPrivate::insert_source_items (this=this@entry=0x2489a00, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., emit_signal=emit_signal@entry=true, orient=Qt::Vertical) at itemmodels/qsortfilterproxymodel.cpp:722
#20 0x00007fdab7eeb394 in QSortFilterProxyModelPrivate::source_items_inserted (orient=Qt::Vertical, end=<optimized out>, start=<optimized out>, source_parent=..., this=0x2489a00) at itemmodels/qsortfilterproxymodel.cpp:833
#21 QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x2489a00, source_parent=..., start=<optimized out>, end=<optimized out>) at itemmodels/qsortfilterproxymodel.cpp:1398
#22 0x00007fdab7eeed99 in QSortFilterProxyModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qsortfilterproxymodel.cpp:211
#23 0x00007fdab7f4d279 in QMetaObject::activate (sender=sender@entry=0x2457d30, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffe20ad53e0) at kernel/qobject.cpp:3766
#24 0x00007fdab7f4db87 in QMetaObject::activate (sender=sender@entry=0x2457d30, m=m@entry=0x7fdab83d66a0 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffe20ad53e0) at kernel/qobject.cpp:3628
#25 0x00007fdab7ec03be in QAbstractItemModel::rowsInserted (this=this@entry=0x2457d30, _t1=..., _t2=0, _t3=643, _t4=...) at .moc/moc_qabstractitemmodel.cpp:602
#26 0x00007fdab7ec841b in QAbstractItemModel::endInsertRows (this=this@entry=0x2457d30) at itemmodels/qabstractitemmodel.cpp:2709
#27 0x00007fdab7ee8c9b in QSortFilterProxyModelPrivate::insert_source_items (this=this@entry=0x24885b0, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., emit_signal=emit_signal@entry=true, orient=Qt::Vertical) at itemmodels/qsortfilterproxymodel.cpp:722
#28 0x00007fdab7eeb394 in QSortFilterProxyModelPrivate::source_items_inserted (orient=Qt::Vertical, end=<optimized out>, start=<optimized out>, source_parent=..., this=0x24885b0) at itemmodels/qsortfilterproxymodel.cpp:833
#29 QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x24885b0, source_parent=..., start=<optimized out>, end=<optimized out>) at itemmodels/qsortfilterproxymodel.cpp:1398
#30 0x00007fdab7eeed99 in QSortFilterProxyModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qsortfilterproxymodel.cpp:211
#31 0x00007fdab7f4d279 in QMetaObject::activate (sender=sender@entry=0x2458b80, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffe20ad5770) at kernel/qobject.cpp:3766
#32 0x00007fdab7f4db87 in QMetaObject::activate (sender=sender@entry=0x2458b80, m=m@entry=0x7fdab83d66a0 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffe20ad5770) at kernel/qobject.cpp:3628
#33 0x00007fdab7ec03be in QAbstractItemModel::rowsInserted (this=this@entry=0x2458b80, _t1=..., _t2=0, _t3=643, _t4=...) at .moc/moc_qabstractitemmodel.cpp:602
#34 0x00007fdab7ec841b in QAbstractItemModel::endInsertRows (this=this@entry=0x2458b80) at itemmodels/qabstractitemmodel.cpp:2709
#35 0x00007fdab7ee8c9b in QSortFilterProxyModelPrivate::insert_source_items (this=this@entry=0x24962e0, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., emit_signal=emit_signal@entry=true, orient=Qt::Vertical) at itemmodels/qsortfilterproxymodel.cpp:722
#36 0x00007fdab7eeb394 in QSortFilterProxyModelPrivate::source_items_inserted (orient=Qt::Vertical, end=<optimized out>, start=<optimized out>, source_parent=..., this=0x24962e0) at itemmodels/qsortfilterproxymodel.cpp:833
#37 QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x24962e0, source_parent=..., start=<optimized out>, end=<optimized out>) at itemmodels/qsortfilterproxymodel.cpp:1398
#38 0x00007fdab7eeed99 in QSortFilterProxyModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qsortfilterproxymodel.cpp:211
#39 0x00007fdab7f4d279 in QMetaObject::activate (sender=sender@entry=0x24711f0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffe20ad5b00) at kernel/qobject.cpp:3766
#40 0x00007fdab7f4db87 in QMetaObject::activate (sender=sender@entry=0x24711f0, m=m@entry=0x7fdab83d66a0 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffe20ad5b00) at kernel/qobject.cpp:3628
#41 0x00007fdab7ec03be in QAbstractItemModel::rowsInserted (this=this@entry=0x24711f0, _t1=..., _t2=0, _t3=643, _t4=...) at .moc/moc_qabstractitemmodel.cpp:602
#42 0x00007fdab7ec841b in QAbstractItemModel::endInsertRows (this=this@entry=0x24711f0) at itemmodels/qabstractitemmodel.cpp:2709
#43 0x00007fdab3f4575c in KSelectionProxyModelPrivate::sourceRowsInserted (this=0x24982f0, parent=..., start=<optimized out>, end=<optimized out>) at /workspace/build/src/kselectionproxymodel.cpp:1085
#44 0x00007fdab7f4d279 in QMetaObject::activate (sender=sender@entry=0x2449950, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffe20ad5d00) at kernel/qobject.cpp:3766
#45 0x00007fdab7f4db87 in QMetaObject::activate (sender=sender@entry=0x2449950, m=m@entry=0x7fdab83d66a0 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=10, argv=argv@entry=0x7ffe20ad5d00) at kernel/qobject.cpp:3628
#46 0x00007fdab7ec03be in QAbstractItemModel::rowsInserted (this=this@entry=0x2449950, _t1=..., _t2=0, _t3=643, _t4=...) at .moc/moc_qabstractitemmodel.cpp:602
#47 0x00007fdab7ec841b in QAbstractItemModel::endInsertRows (this=this@entry=0x2449950) at itemmodels/qabstractitemmodel.cpp:2709
#48 0x00007fdab42e91f4 in Akonadi::EntityTreeModelPrivate::itemsFetched (this=this@entry=0x24795d0, collectionId=collectionId@entry=62, items=...) at /workspace/build/src/core/models/entitytreemodel_p.cpp:577
#49 0x00007fdab42e95e1 in Akonadi::EntityTreeModelPrivate::itemsFetched (this=0x24795d0, items=...) at /workspace/build/src/core/models/entitytreemodel_p.cpp:495
#50 0x00007fdab42d6e45 in Akonadi::EntityTreeModel::qt_static_metacall (_o=0x2449950, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /workspace/build/obj-x86_64-linux-gnu/src/core/moc_entitytreemodel.cpp:219
#51 0x00007fdab7f4d279 in QMetaObject::activate (sender=sender@entry=0x2a308f0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffe20ad6090) at kernel/qobject.cpp:3766
#52 0x00007fdab7f4db87 in QMetaObject::activate (sender=sender@entry=0x2a308f0, m=m@entry=0x7fdab457ef80 <Akonadi::ItemFetchJob::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffe20ad6090) at kernel/qobject.cpp:3628
#53 0x00007fdab4291c82 in Akonadi::ItemFetchJob::itemsReceived (this=this@entry=0x2a308f0, _t1=...) at /workspace/build/obj-x86_64-linux-gnu/src/core/moc_itemfetchjob.cpp:165
#54 0x00007fdab429289b in Akonadi::ItemFetchJobPrivate::timeout (this=<optimized out>) at /workspace/build/src/core/jobs/itemfetchjob.cpp:75
#55 Akonadi::ItemFetchJob::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /workspace/build/obj-x86_64-linux-gnu/src/core/moc_itemfetchjob.cpp:99
#56 0x00007fdab7f4d279 in QMetaObject::activate (sender=sender@entry=0x2a30ca0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffe20ad6220) at kernel/qobject.cpp:3766
#57 0x00007fdab7f4db87 in QMetaObject::activate (sender=sender@entry=0x2a30ca0, m=m@entry=0x7fdab83d7ea0 <QTimer::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffe20ad6220) at kernel/qobject.cpp:3628
#58 0x00007fdab7f59b07 in QTimer::timeout (this=this@entry=0x2a30ca0, _t1=...) at .moc/moc_qtimer.cpp:200
#59 0x00007fdab7f59e08 in QTimer::timerEvent (this=0x2a30ca0, e=<optimized out>) at kernel/qtimer.cpp:255
#60 0x00007fdab7f4e273 in QObject::event (this=0x2a30ca0, e=<optimized out>) at kernel/qobject.cpp:1268
#61 0x00007fdab8f0fb9c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x2a30ca0, e=0x7ffe20ad6510) at kernel/qapplication.cpp:3722
#62 0x00007fdab8f175a7 in QApplication::notify (this=0x7ffe20ad6880, receiver=0x2a30ca0, e=0x7ffe20ad6510) at kernel/qapplication.cpp:3481
#63 0x00007fdab7f20df8 in QCoreApplication::notifyInternal2 (receiver=0x2a30ca0, event=event@entry=0x7ffe20ad6510) at kernel/qcoreapplication.cpp:1018
#64 0x00007fdab7f75a7e in QCoreApplication::sendEvent (event=0x7ffe20ad6510, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:233
#65 QTimerInfoList::activateTimers (this=0x2394f10) at kernel/qtimerinfo_unix.cpp:643
#66 0x00007fdab7f76301 in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:182
#67 0x00007fdaad644197 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#68 0x00007fdaad6443f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#69 0x00007fdaad64449c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#70 0x00007fdab7f766af in QEventDispatcherGlib::processEvents (this=0x23a85d0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#71 0x00007fdab7f1ee2a in QEventLoop::exec (this=this@entry=0x7ffe20ad6760, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#72 0x00007fdab7f27d64 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1291
#73 0x0000000000408614 in main (argc=1, argv=0x7ffe20ad6a08) at /workspace/build/src/main.cpp:64
Comment 9 Denis Kurz 2018-01-31 13:45:43 UTC
*** Bug 387923 has been marked as a duplicate of this bug. ***
Comment 10 Denis Kurz 2018-01-31 13:56:07 UTC
I saw this crash, too (in 17.12.1, I think). KOrganizer (or Kontact -> Tasks or Kontact -> Calendar) always crashed on startup when my CalDAV resource was selected. The crashing stopped when I found two TODO items in that resource with the same UID, and deleted one of them. This might also be the reason why pushing all items to a new calendar via Thunderbird solves the problem, assuming that Thunderbird detects those duplicate UIDs and generates new ones ore ignores one of the offending items.

Can anyone who still encounters this problem please check if there are duplicate-UID TODO items in their calendar resource, and if deleting one of them does the trick?

While duplicate UIDs would be a bug in the DAV resource (according to the qCWarning in incidencetreemodel.cpp:350), the IncidenceTreeModel should still be able to cope with them gracefully. I made a patch for the latter, but still need some more testing before submitting it.
Comment 11 Denis Kurz 2018-02-19 08:36:07 UTC
Here we are again. KOrganizer crashes every time upon startup. I had some duplicated items in the offending calendar, but this time, they were VEVENTS, which are not involved in the code that crashes (IncidenceTreeModel). I deleted the duplicated events, but KOrganizer still crashed.

What helped, though, was clearing the Akonadi cache for that collection.

This is PIM 5.7.2 a.k.a PIM as of KDE Applications 17.12.2.
Comment 12 Allen Winter 2018-02-27 14:53:35 UTC
are you using a debug or release build?

I see an ASSERT in the debug code, but there would be a crash in the release mode.
Comment 13 Denis Kurz 2018-07-22 13:58:41 UTC
Sorry, I haven't seen this in some time now. I'm pretty sure it was a release build, though, if it still matters.

Apparently, this was fixed in https://phabricator.kde.org/D11517 as David describes the same problem, which was some bug in incidencetreemodel.cpp's greaterThan function.